package de.avatic.lcc.model.bulk;

public class BulkInstruction<T> {

    private BulkInstructionType type;

    private T entity;

    public BulkInstruction(T entity, BulkInstructionType type) {
        this.entity = entity;
        this.type = type;
    }

    public BulkInstructionType getType() {
        return type;
    }

    public void setType(BulkInstructionType type) {
        this.type = type;
    }

    public T getEntity() {
        return entity;
    }

    public void setEntity(T entity) {
        this.entity = entity;
    }
}
